
var xhr;

function CreateXmlHttp(){
    // Probamos con IE
    try{        // FuncionarÃ¡ para JavaScript 5.0
        xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
    }
    catch(e){
        try{
            xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
        }
        catch(oc){
            xmlHttp = null;
        }
    }
    // Si no se trataba de un IE, probamos con esto
    if(!xmlHttp && typeof XMLHttpRequest != "undefined")
    {
        xmlHttp = new XMLHttpRequest();
    }

    return xmlHttp;
}

//-----------------------------------------------------
function get(id){
    return document.getElementById(id).value;
}



//-----------------------------------
function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return "";
	else
		return results[1];
}


function limpiarconstancia(){
     window.location.href='certificado_parcial.php';
}

  function comprobar_codigo()
{
        xhr=CreateXmlHttp();


       var cod=get('codigo');

       if(cod=='')
        {
            exit();
        }


        xhr.open("GET","app/model/certificado_parcial.php?accion=info_comp_codigo&codigo="+cod+"",true);//ultimo parametro true asincrono false sincrono
        xhr.onreadystatechange=resinfocod; //despue del = nombre de la funcion que controla la respuesta
        xhr.send(null);//post sen el elemento que contiene la informacion


}


function resinfocod()
{
        if(xhr.readyState==4){


       var result=xhr.responseXML;


        var respuesta=result.getElementsByTagName("datos");
        var res=respuesta.item(0).firstChild.nodeValue;



        if(res=='no')
        {
            alert('No registrado');
            document.getElementById('codigo').focus();
            limpiarcertfinal_2();

        }else {

           var nom=result.getElementsByTagName("nombre");
           var nom2=nom.item(0).firstChild.nodeValue;
           document.getElementById('nombres').value=nom2;

           var codg=result.getElementsByTagName("codg");
           var codg2=codg.item(0).firstChild.nodeValue;
           document.getElementById('g_id1').value=codg2;

           var txcodg=result.getElementsByTagName("txcodg");
           var txcodg2=txcodg.item(0).firstChild.nodeValue;
           document.getElementById('g_id2').value=txcodg2;

           var codc=result.getElementsByTagName("codc");
           var codc2=codc.item(0).firstChild.nodeValue;
           document.getElementById('c_id1').value=codc2;

           var txcodc=result.getElementsByTagName("txcodc");
           var txcodc2=txcodc.item(0).firstChild.nodeValue;
           document.getElementById('c_id2').value=txcodc2;

           var codjor=result.getElementsByTagName("codjor");
           var codjor2=codjor.item(0).firstChild.nodeValue;
           document.getElementById('j_id1').value=codjor2;

           var desjor=result.getElementsByTagName("desjor");
           var desjor2=desjor.item(0).firstChild.nodeValue;
           document.getElementById('j_id2').value=desjor2;

           var codsed=result.getElementsByTagName("codsed");
           var codsed2=codsed.item(0).firstChild.nodeValue;
           document.getElementById('s_id1').value=codsed2;

           var dessed=result.getElementsByTagName("dessed");
           var dessed2=dessed.item(0).firstChild.nodeValue;
           document.getElementById('s_id2').value=dessed2;

            }


          }
      }

function limpiarcertfinal_2(){

    document.getElementById('codigo').value='';
    document.getElementById('nombres').value='';

    document.getElementById('g_id1').value='';
    document.getElementById('g_id2').value='';

    document.getElementById('c_id1').value='';
    document.getElementById('c_id2').value='';

    document.getElementById('j_id1').value='';
    document.getElementById('j_id2').value='';


    document.getElementById('s_id1').value='';
    document.getElementById('s_id2').value='';

    document.getElementById('leyen').value='';
}


function grabarcer(){

    var codigo=get('codigo')
    var numero=get('numero');  
    var leyen=get('leyen');
    var periodo=get('p_id1');

    if(periodo==''){
        alert('Ingrese Periodo');
        exit();
    }
    
    
    if(numero==''){
        alert('Ingrese Folio');
        exit();
    }

    if(leyen==''){
        alert('Ingrese Leyenda');
        exit();
    }

    var parametros = {"accion":'guardar_constancia',"numero":numero,"leyenda":leyen
                           };
        $.ajax({
                data:  parametros,
                url:"app/model/certificado_parcial.php",
                type:  'post',
                success:function (response){
                            //window.location.href='certificado_parcial.php';
                            window.open('app/model/reportes/certificado_parcial.php?grado='+get('g_id1')+'&curso='+get('c_id1')+'&periodo='+periodo+'&codigo='+codigo,"width=1000,height=500,scrollbars=NO");
                    }

        });
    
}

function generarleyen(){
    
    
    var cod=get('codigo');
    var descod=get('nombres');

    var grad=get('g_id1');
    var desgrad=get('g_id2');

    var cur=get('c_id1');
    var descur=get('c_id2');

    var jor=get('j_id1');
    var desjor=get('j_id2');


    var sede=get('s_id1');
    var dessede=get('s_id2');
    
    var tx=get('tx');


    if(cod=='')
      {
        alert('Ingrese Codigo');
        exit();
      }

    

    var parametros = {"accion":'generar_leyenda',"tx":tx,
                                                "cod":cod,
                                                "descod":descod,
                                                "grad":grad,
                                                "desgras":desgrad,
                                                "cur":cur,
                                                "descur":descur,
                                                "jor":jor,
                                                "desjor":desjor,
                                                "sede":sede,
                                                "dessede":dessede
                                            };

   
            $.ajax({
                    data:  parametros,
                    url:"app/model/certificado_parcial.php",
                    type:  'post',
                    success:function (response){
   
                       document.getElementById('leyen').value=response;



                    }
            });

    
}


function retornarprin(){
   
   var r=parametro("rol");

    if(r=='4'){ // ---- Rol Administrador ----
       window.location.href='../menu.php'
    }

    if(r=='6'){  // ---- Rol Secretaria ----
       window.location.href='../menu_secretaria.php'
    }
}


function numero(){
   
    var parametros = {'accion':'numero'};


            $.ajax({
                    data:  parametros,
                    url:"app/model/certificado_parcial.php",
                    type:  'post',
                    success:function (response){
                        var arr=response.split(";");
                        document.getElementById('numero').value=arr[0];                        
                        document.getElementById('folio').value=arr[1];



                    }
            });
}